> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nimbleway.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Crawls



## OpenAPI

````yaml /api-reference/openapi.json get /v2/crawl
openapi: 3.1.0
info:
  title: Nimble SDK
  version: 1.0.0
  description: The AI-Native SDK for Real-Time Web Data at scale
servers:
  - url: https://sdk.nimbleway.com
security: []
paths:
  /v2/crawl:
    get:
      tags:
        - Crawl
      summary: List Crawls
      parameters:
        - description: Filter crawls by their status.
          in: query
          name: status
          schema:
            default: all
            description: Filter crawls by their status.
            enum:
              - queued
              - running
              - succeeded
              - failed
              - canceled
              - all
            examples:
              - queued
            type: string
        - description: Cursor for pagination.
          in: query
          name: cursor
          schema:
            anyOf:
              - type: string
              - type: 'null'
            default: null
            description: Cursor for pagination.
        - description: Number of crawls to return per page.
          in: query
          name: limit
          schema:
            default: 100
            description: Number of crawls to return per page.
            examples:
              - 10
            maximum: 9007199254740991
            minimum: 1
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CrawlByFiltersResponse'
          description: Successful Response - List of Crawl Tasks
      security:
        - BearerAuth: []
components:
  schemas:
    CrawlByFiltersResponse:
      additionalProperties: false
      description: Successful get crawl response
      properties:
        data:
          items:
            $ref: '#/components/schemas/CrawlApiResponse'
          type: array
        pagination:
          additionalProperties: false
          properties:
            has_next:
              type: boolean
            next_cursor:
              anyOf:
                - type: string
                - type: 'null'
            total:
              type: number
          required:
            - has_next
          type: object
      required:
        - data
        - pagination
      type: object
    CrawlApiResponse:
      additionalProperties: false
      description: Crawl API response
      properties:
        account_name:
          type: string
        completed:
          type: number
        completed_at:
          anyOf:
            - anyOf:
                - type: string
                - additionalProperties: true
                  type: object
            - type: 'null'
        crawl_id:
          format: uuid
          type: string
        crawl_options:
          additionalProperties: {}
          properties:
            allow_external_links:
              default: false
              type: boolean
            allow_subdomains:
              default: false
              type: boolean
            callback:
              anyOf:
                - additionalProperties: false
                  properties:
                    events:
                      items:
                        enum:
                          - started
                          - page
                          - completed
                          - failed
                        type: string
                      type: array
                    headers:
                      additionalProperties:
                        type: string
                      propertyNames:
                        type: string
                      type: object
                    metadata:
                      additionalProperties: {}
                      propertyNames:
                        type: string
                      type: object
                    url:
                      format: uri
                      type: string
                  required:
                    - url
                  type: object
                - format: uri
                  type: string
            crawl_entire_domain:
              default: false
              type: boolean
            exclude_paths:
              items:
                type: string
              type: array
            ignore_query_parameters:
              default: false
              type: boolean
            include_paths:
              items:
                type: string
              type: array
            limit:
              default: 5000
              maximum: 10000
              minimum: 1
              type: integer
            max_discovery_depth:
              default: 5
              maximum: 20
              minimum: 1
              type: integer
            sitemap:
              default: include
              enum:
                - skip
                - include
                - only
              type: string
          required:
            - sitemap
            - crawl_entire_domain
            - limit
            - max_discovery_depth
            - ignore_query_parameters
            - allow_external_links
            - allow_subdomains
          type: object
        created_at:
          anyOf:
            - type: string
            - additionalProperties: true
              type: object
        extract_options:
          anyOf:
            - additionalProperties: {}
              properties: {}
              type: object
            - type: 'null'
        failed:
          type: number
        name:
          anyOf:
            - type: string
            - type: 'null'
        pending:
          type: number
        status:
          enum:
            - queued
            - running
            - succeeded
            - failed
            - canceled
          type: string
        tasks:
          items:
            additionalProperties: false
            properties:
              created_at:
                type: string
              status:
                enum:
                  - pending
                  - completed
                  - failed
                type: string
              task_id:
                type: string
              updated_at:
                type: string
            required:
              - task_id
              - status
            type: object
          type: array
        total:
          type: number
        updated_at:
          anyOf:
            - type: string
            - additionalProperties: true
              type: object
        url:
          format: uri
          type: string
      required:
        - url
        - status
        - account_name
        - created_at
        - updated_at
        - crawl_options
        - crawl_id
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.